#pragma once

#include "GameGraphics.h"
#include <string>
using namespace std;

class GameFont
{
public:
	GameFont(void);
	~GameFont(void);

	void Create(GameGraphics &g, wstring fontname, int size);
	void Destroy();

	void Draw(float x, float y, wstring text);

private:
	ID3DXFont *m_font;
	ID3DXSprite *m_d3dSprite;
};